Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTabbedPaneUI.MouseHandler

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.plaf.basic.BasicTabbedPaneUI.MouseHandler

All Implemented Interfaces:
  EventListener, MouseListener

Enclosing class:
  BasicTabbedPaneUI

public class BasicTabbedPaneUI.MouseHandler
extends MouseAdapter

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

Constructor Summary
`BasicTabbedPaneUI.MouseHandler()`

Method Summary
`void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTabbedPaneUI.MouseHandler

    public BasicTabbedPaneUI.MouseHandler()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when a mouse button has been pressed on a component.
  Overrides:
    `mousePressed` in class `MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.